### Function

# Camel util_bdata_get_number

since: 3.24

#### Declaration [src]

    gint64
    camel_util_bdata_get_number (
      gchar** bdata_ptr,
      gint64 default_value
    )

#### Description [src]

Reads a numeric data from the `bdata_ptr` and moves the `bdata_ptr` after that number. If the number cannot be read, then the `default_value` is returned instead and the `bdata_ptr` is left unchanged. The number might be previously stored with the camel_util_bdata_put_number().

Available since: 3.24

#### Parameters

`bdata_ptr`

  Type: `gchar**`

  A backend specific data (bdata) pointer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_value`

  Type: `gint64`

  A value to return, when no data can be read.

#### Return value

Type: `gint64`

The read number, or the `default_value`, if the `bdata_ptr` doesn’t point to a number.